from nuwavdet import nuwavdet as nw

OBS_PATH = r'.//path_to_obs//nu<obsid><DET>01_cl.evt'
THRESH = (3, 2)


if __name__ == '__main__':
    # CREATE THE OBSERVATION CLASS OBJECT
    obs = nw.Observation(OBS_PATH)

    # CALCULATE THE WAVLET LAYERS WITH GIVEN THRESHOLD
    wav_layers = obs.wavdecomp(mode='atrous', occ_coeff=True, thresh=THRESH)

    # ALL THE LAYERS CAN BE ACCESSED AS AN ELEMENT OF wav_layers VARIABLE
    # wav_layers[0] for the 1st wavelet layer
    # wav_layers[4] for 5th wavelet layer
    # wav_layers[-1] for the last wavelet layer
    # wav_layers[2:5] for the list of the layers from 3 to 5
    # wav_layers[[1, 3, 5]] for the list of layers 2, 4 and 6

    # To calculate the sum of wavelet layers one should use sum() method
    # wav_layers[2:7].sum(0) returns a sum of layers from 3 to 7
    # wav_layers[[1, 3, 5]].sum(0) returns a sum of layers 2, 4 and 6.
