from nuwavdet import nuwavdet as nw
import numpy as np


OBS_PATH = r'.//path_to_obs//nu<obsid><DET>01_cl.evt'
MASK_PATH = r'.//path_to_mask//<obsid><DET>.fits'


if __name__ == '__main__':
    # CREATE THE OBSERVATION CLASS OBJECT
    obs = nw.Observation(OBS_PATH)

    # READ THE REGION MASK FILE
    region = nw.fits.getdata(MASK_PATH)

    # TRANSFORM REGION MASK DATA TO NUMPY MASK DATA (SEE 1_save_results.py).
    region = np.logical_not(region.astype(bool))

    # CREATE MASKED ARRAY CLASS OBJECT
    masked_data = np.ma.masked_array(obs, mask=region)

    # CALCULATE THE CSTAT ON THE MASKED DATA
    print(nw.сstat(masked_data.mean(), masked_data))
